{% extends 'base.html' %}

{% block content %}
{% if request.session.peran == 'pengguna publik' %}
<div class="container">
    <div class="table-responsive">
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">No</th>
                    <th scope="col">NIK</th>
                    <th>Nama Pasien</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
            {% for detail in pasien %}
            <tr>
                <td>{{ forloop.counter }}</td>
                <td>{{ detail.0 }}</td>
                <td>{{ detail.2 }}</td>
                <td>
                    <a href="{% url 'daftar_pasien:update_pasien' nik=detail.0 %}" class="btn btn-outline-success">Update</a>
                    <a href="{% url 'daftar_pasien:delete_pasien' nik=detail.0 %}" class="btn btn-outline-danger">Delete</a>
                    <a href="{% url 'daftar_pasien:detail_pasien' nik=detail.0 %}" class="btn btn-outline-primary">Detail</a>
                </td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</div>
{% else %}
<figure class="text-center">
    <h1>Anda tidak punya akses untuk halaman ini</h1>
</figure>
{% endif %}
{% endblock content %}